org.hibernate.search.query.dsl.impl

## Class ConnectedFacetRangeBelowContinuationContext<T>

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedFacetParameterContext
  - - org.hibernate.search.query.dsl.impl.ConnectedFacetRangeBelowContinuationContext<T>

- All Implemented Interfaces:
    FacetParameterContext, FacetRangeBelowContinuationContext<T>, FacetRangeStartContext<T>, FacetTermination

      public class ConnectedFacetRangeBelowContinuationContext<T>
      extends ConnectedFacetParameterContext
      implements FacetRangeBelowContinuationContext<T>

  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedFacetRangeBelowContinuationContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetRangeAboveContext<T>` | `above(T max)`
    `FacetingRequest` | `createFacetingRequest()`
    `FacetRangeBelowContinuationContext<T>` | `excludeLimit()`
    `FacetRangeLimitContext<T>` | `from(T rangeStart)`

    - ### Methods inherited from class org.hibernate.search.query.dsl.impl.ConnectedFacetParameterContext

      `includeZeroCounts, maxFacetCount, orderedBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.query.dsl.FacetParameterContext

      `includeZeroCounts, maxFacetCount, orderedBy`

- - ### Constructor Detail

    - #### ConnectedFacetRangeBelowContinuationContext

          public ConnectedFacetRangeBelowContinuationContext(org.hibernate.search.query.dsl.impl.FacetBuildingContext context)

  - ### Method Detail

    - #### excludeLimit

          public FacetRangeBelowContinuationContext<T> excludeLimit()

      Specified by:
        `excludeLimit` in interface `FacetRangeBelowContinuationContext<T>`

    - #### above

          public FacetRangeAboveContext<T> above(T max)

      Specified by:
        `above` in interface `FacetRangeBelowContinuationContext<T>`

    - #### createFacetingRequest

          public FacetingRequest createFacetingRequest()

      Specified by:
        `createFacetingRequest` in interface `FacetTermination`
      Overrides:
        `createFacetingRequest` in class `ConnectedFacetParameterContext`
      Returns:
        the `FacetingRequest` produced by the building process.

    - #### from

          public FacetRangeLimitContext<T> from(T rangeStart)

      Specified by:
        `from` in interface `FacetRangeStartContext<T>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved